import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _CBUUID } from "../CoreBluetooth/CBUUID.js";
import type { _ASPropertyCompareString } from "./ASPropertyCompareString.js";
import type { NSStringCompareOptions } from "../Foundation/NSStringCompareOptions.js";
import type { ASDiscoveryDescriptorRange } from "./ASDiscoveryDescriptorRange.js";
import type { ASDiscoveryDescriptorWiFiAwareServiceRole } from "./ASDiscoveryDescriptorWiFiAwareServiceRole.js";
export declare class _ASDiscoveryDescriptor extends _NSObject {
    static alloc(): _ASDiscoveryDescriptor;
    static new(): _ASDiscoveryDescriptor;
    init(): _ASDiscoveryDescriptor;
    /** Options supported by an accessory. */
    supportedOptions(): number;
    setSupportedOptions$(value: number): void;
    /** The accessory's 16-bit Bluetooth Company Identifier. */
    bluetoothCompanyIdentifier(): number;
    setBluetoothCompanyIdentifier$(value: number): void;
    /** A byte buffer that matches the accessory's Bluetooth manufacturer data. */
    bluetoothManufacturerDataBlob(): _NSData | null;
    setBluetoothManufacturerDataBlob$(value: _NSData | null): void;
    /** The accessory's Bluetooth manufacturer data mask. */
    bluetoothManufacturerDataMask(): _NSData | null;
    setBluetoothManufacturerDataMask$(value: _NSData | null): void;
    /** The accessory's over-the-air Bluetooth name substring compare options. */
    bluetoothNameSubstringCompareOptions(): NSStringCompareOptions;
    setBluetoothNameSubstringCompareOptions$(value: NSStringCompareOptions): void;
    /** The accessory's over-the-air Bluetooth name substring. */
    bluetoothNameSubstring(): _NSString | null;
    setBluetoothNameSubstring$(value: _NSString | null): void;
    /**
     * A property that tells the session to discover accessories within a specific Bluetooth range.
     */
    bluetoothRange(): ASDiscoveryDescriptorRange;
    setBluetoothRange$(value: ASDiscoveryDescriptorRange): void;
    /** A byte buffer that matches the accessory's Bluetooth service data. */
    bluetoothServiceDataBlob(): _NSData | null;
    setBluetoothServiceDataBlob$(value: _NSData | null): void;
    /** The accessory's Bluetooth service data mask. */
    bluetoothServiceDataMask(): _NSData | null;
    setBluetoothServiceDataMask$(value: _NSData | null): void;
    /** The accessory's Bluetooth service UUID. */
    bluetoothServiceUUID(): _CBUUID | null;
    setBluetoothServiceUUID$(value: _CBUUID | null): void;
    /** The SSID of the accessory's Wi-Fi network. */
    SSID(): _NSString | null;
    setSSID$(value: _NSString | null): void;
    /** The prefix string of SSID of the accessory's Wi-Fi network. */
    SSIDPrefix(): _NSString | null;
    setSSIDPrefix$(value: _NSString | null): void;
    /** The accessory's Wi-Fi Aware's service name if available. */
    wifiAwareServiceName(): _NSString;
    setWifiAwareServiceName$(value: _NSString): void;
    /**
     * The role of the accessory's Wi-Fi Aware's service. This property defaults to ``ASDiscoveryDescriptor/WiFiAwareServiceRole/subscriber``
     */
    wifiAwareServiceRole(): ASDiscoveryDescriptorWiFiAwareServiceRole;
    setWifiAwareServiceRole$(value: ASDiscoveryDescriptorWiFiAwareServiceRole): void;
    /** The accessory's Wi-Fi Aware model name and matching options. */
    wifiAwareModelNameMatch(): _ASPropertyCompareString;
    setWifiAwareModelNameMatch$(value: _ASPropertyCompareString): void;
    /** The accessory's Wi-Fi Aware vendor name and matching options. */
    wifiAwareVendorNameMatch(): _ASPropertyCompareString;
    setWifiAwareVendorNameMatch$(value: _ASPropertyCompareString): void;
}
